<?xml version="1.0" encoding="TIS-620"?>
<DAYNIGHT_CONFIG desc_eng="Day-Night shift config" desc_thai="ทะเบียนระบุกะกลางวันกลาง" editcheck="true" mainhelp="DAYNIGHT_CONFGHELP" referhelp="DAYNIGHT_CONFGHELP" mainkey="SHIFTID" fieldsystem="*" protype="table" deleteflag="true" >
	<FIELD>
		<SHIFTID lang="A" encrypt="false" log="false" type="String">
			<KEY>1</KEY>
			<GROUP>defaultsave</GROUP>
			<WIDTH>10</WIDTH>
			<DESC_ENG>Shift ID</DESC_ENG>
			<DESC_THAI>รหัส</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>10</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_ENG>Shift ID</ALT_ENG>
				<ALT_THAI>รหัส</ALT_THAI>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</SHIFTID>
	
		<COMPANYID lang="A" encrypt="false" log="false" type="String">
			<KEY>2</KEY>
			<GROUP>defaultsave</GROUP>
			<WIDTH>10</WIDTH>
			<RELATION>MCOMPANY</RELATION>
			<DESC_ENG>Company ID</DESC_ENG>
			<DESC_THAI>รหัสบริษัท</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>5</SIZE>
				<MAXSIZE>5</MAXSIZE>
				<ALT_ENG>Company ID</ALT_ENG>
				<ALT_THAI>รหัสบริษัท</ALT_THAI>
				<READONLY>TRUE</READONLY>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</COMPANYID>
		
		<TIME_IN lang="A" encrypt="false" log="false" type="Double">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Shift Time Start</DESC_ENG>
			<DESC_THAI>เวลาเริ่ม</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>4</SIZE>
				<MAXSIZE>5</MAXSIZE>
				<ALT_THAI>เวลาเริ่ม [HHMM]</ALT_THAI>
				<ALT_ENG>Shift Time Start [HHMM]</ALT_ENG>
				<ONKEYPRESS>chkInteger(event);</ONKEYPRESS>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</TIME_IN>

		<TIME_OUT lang="A" encrypt="false" log="false" type="Double">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Shift Time End</DESC_ENG>
			<DESC_THAI>เวลาสิ้นสุด</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>4</SIZE>
				<MAXSIZE>5</MAXSIZE>
				<ALT_THAI>เวลาสิ้นสุด [HHMM]</ALT_THAI>
				<ALT_ENG>Shift Time End [HHMM]</ALT_ENG>
				<ONKEYPRESS>chkInteger(event);</ONKEYPRESS>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONBLUR>chkTime(this);</ONBLUR>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</TIME_OUT>

		<PAYROLL_CODE lang="A" encrypt="false" log="false" type="String">
			<GROUP>defaultsave</GROUP>
			<WIDTH>15</WIDTH>
			<RELATION>MFORMULA</RELATION>
			<DESC_ENG>Payroll Code</DESC_ENG>
			<DESC_THAI>รหัสจ่ายเงิน</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>10</SIZE>
				<MAXSIZE>15</MAXSIZE>
				<ALT_ENG>Payroll Code</ALT_ENG>
				<ALT_THAI>รหัสจ่ายเงิน</ALT_THAI>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</PAYROLL_CODE>
		
		<AMOUNT lang="A" encrypt="false" log="false" type="Double">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Amount</DESC_ENG>
			<DESC_THAI>จำนวน</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>5</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_THAI>จำนวน</ALT_THAI>
				<ALT_ENG>Amount</ALT_ENG>
			</COMPONENT>
		</AMOUNT>

		<CONDITIONS lang="A" encrypt="false" log="false" type="String">
			<GROUP>defaultsave</GROUP>
			<WIDTH>10</WIDTH>
			<RELATION>DAYNIGHT_CONDITION</RELATION>
			<DESC_ENG>Condition Class</DESC_ENG>
			<DESC_THAI>คลาสเช็คเงื่อนไข</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>10</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_ENG>Condition Class</ALT_ENG>
				<ALT_THAI>คลาสเช็คเงื่อนไข</ALT_THAI>
			</COMPONENT>
		</CONDITIONS>

		<PROFILE lang="A" encrypt="false" log="false" type="String">
			<GROUP>defaultsave</GROUP>
			<WIDTH>400</WIDTH>
			<DESC_ENG>Profile Condition</DESC_ENG>
			<DESC_THAI>เงื่อนไขส่วนตัว</DESC_THAI>
			<COMPONENT type="textarea">
				<LINES>3</LINES>
				<SIZECHAR>50</SIZECHAR>
				<ALT_THAI>เงื่อนไขส่วนตัว</ALT_THAI>
				<ALT_ENG>Profile Condition</ALT_ENG>
				<ISVALID>FALSE</ISVALID>
			</COMPONENT>
		</PROFILE>

		<EFF_DATE lang="A" encrypt="false" log="false" type="Date">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Effective Date</DESC_ENG>
			<DESC_THAI>วันเริ่มต้นใช้งาน</DESC_THAI>
			<COMPONENT type="calendar">
				<SIZE>8</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_THAI>วันเริ่มต้นใช้งาน</ALT_THAI>
				<ALT_ENG>Effective Date</ALT_ENG>
				<ONKEYUP>formatDate(this);</ONKEYUP>
				<ONKEYPRESS>chkIntegerOfDate(this.value);</ONKEYPRESS>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</EFF_DATE>

		<EXPIRED_DATE lang="A" encrypt="false" log="false" type="Date">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Expired Date</DESC_ENG>
			<DESC_THAI>วันสิ้นสุดใช้งาน</DESC_THAI>
			<COMPONENT type="calendar">
				<SIZE>8</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_THAI>วันสิ้นสุดใช้งาน</ALT_THAI>
				<ALT_ENG>Expired Date</ALT_ENG>
				<ONKEYUP>formatDate(this);</ONKEYUP>
				<ONKEYPRESS>chkIntegerOfDate(this.value);</ONKEYPRESS>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</EXPIRED_DATE>
	</FIELD>
	<RELATION>
		<MFORMULA>
			<PARENT>DAYNIGHT_CONFIG.PAYROLL_CODE</PARENT>
			<PARENT>DAYNIGHT_CONFIG.COMPANYID</PARENT>
			<CHILD>MFORMULA.FORMULAID</CHILD>
			<CHILD>MFORMULA.COMPANYID</CHILD>
		</MFORMULA>
		<DAYNIGHT_CONDITION>
			<PARENT>DAYNIGHT_CONFIG.CONDITIONS</PARENT>
			<PARENT>DAYNIGHT_CONFIG.COMPANYID</PARENT>
			<CHILD>DAYNIGHT_CONDITION.CLASSID</CHILD>
			<CHILD>DAYNIGHT_CONDITION.COMPANYID</CHILD>
		</DAYNIGHT_CONDITION>
	</RELATION>
</DAYNIGHT_CONFIG>
